# PetscViewerAppendOptionsPrefix

Appends to the prefix used for searching for all PetscViewer options in the database.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscViewerAppendOptionsPrefix(PetscViewer viewer,const char prefix[])

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

PetscViewer, append, options, prefix, database

### See Also

PetscViewerGetOptionsPrefix()

Level:advanced
Location: src/sys/viewer/interface/view.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages